Yalp and Aurora store

Yalp store doesn’t seem to have recent source code activity on Github (Last commit October 2018), and it has stopped working for me. Aurora store app also didn’t work for me for some time, until I fetched the latest version from their website. Their changelog mentioned fixing login issues (Version 3.1.3 -> 3.1.4. Is a newer version coming to F-droid in the near future ?
Does it make sense to update the F-droid info about Yalp store app that it might be outdated and not guaranteed to work well ?

1 Like

Aurora is being developed, and is working fine. You can check it here: www.auroraoss.com/AuroraStore

1 Like

I was just picked up: https://gitlab.com/fdroid/fdroiddata/commit/59c0d5324b1778230dcb334632297c7312a02108 and a new cycle is ongoing, next updated will have it

2 Likes

+1 from me. F-Droid, different than Play Store has people taking care and helping users, and I think that we add an info like this. We could even add a link to Aurora.

Since already a week the non GoogleServices users can update their Play $tore apps with the most recent version of Aurora Store (3.1.5)
The last available one from app Yalp Store (version 0.46-legacy) its from July 2019 and since a month the built-in account wasn’t usable anymore. Same used to occur with old Aurora Store v3.1.3
D̶i̶d̶n̶’̶t̶ ̶t̶r̶y̶ ̶w̶i̶t̶h̶ A̶u̶r̶o̶r̶a̶ ̶D̶r̶o̶i̶d̶(̶a̶ ̶f̶o̶r̶k̶)̶,̶ ̶b̶u̶t̶ ̶s̶i̶n̶c̶e̶ ̶i̶t̶’̶s̶ ̶f̶r̶o̶m̶ ̶O̶c̶t̶o̶b̶e̶r̶ ̶2̶0̶1̶9̶,̶ ̶i̶t̶ ̶w̶o̶n̶’̶t̶ ̶w̶o̶r̶k̶.
Neither Yalp Store (Fork) will work, whose last version available it’s from January 2019 the

This issue has been tackled by Aurora’s developper (check closed issue). Issue also reported to Yalp’s repository (check open issue) but no action seems to be taken

You can go now. The anonymous account (auroraoss@gmail.com) works like a charm.

Do click on the link and actually read the description, it’s not what you think.

:flushed:
just edited.

Keeping a yalp store (legacy) in fdroid would be useful for people that run on elder android support,
as the Aurora Store needs at least android v5.0.

There are a number of devices out there that are still functioning well and do not support android v5.0 for various reasons. Examples:

  • Sailfish OS X on Xperia X devices from 2017, only have Android 4.4 support, while the operating system itself is maintained.
  • Fairphone 1 devices also run Android 4.4, operated long for protecting the environment.
  • Tablets used in WLAN settings were no new drivers were published and LineageOS-microG does not support them

To me F-Droid and Free Software are about choice (even if that means to run an elder device), keeping yalp (legacy) around helps for this.

1 Like

+100 for this. It is needed.

That’s not the issue, the main thing is: Does it still work? Does it still connect and allow you to get the APKs?

Yes it does except for anonymous logins

That’s not the issue,

The first step is to understand why and how it would be useful.
E.g. for android <5.0 the Aurora Store cannot replace yalp.
Next would be to see how much effort it would be to keep a yalp fork working.

the main thing is: Does it still work?

From reports I saw: at least partly.

For the anonymous logins, the next steps from my point of view would be:

  • Report the problem to the yalp (fork), e.g. point to the other report.
  • See if the aurora fix can be used to learn how to fix it
  • “clone” the repo or move it to gitlab and try to develop a fix
Mastodon